<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
    <script>
        alert('hello world');

        console.log("memunculkan 1 log console")

        var fullname = "Zam Zam"
        fullname = "Oke Oce"
        fullname = "Developer"
        
        document.write(fullname)
        document.writeln(fullname)
        document.writeln('<br>')
        document.writeln(fullname)
        document.writeln('<br>')
        document.writeln(fullname)
        document.writeln('<br>')
        document.writeln(fullname)
        document.writeln('<br>')
        document.writeln(fullname)
        document.writeln('<br>')

        let fullname2 = "Zam Zam"
        fullname2 = "Oke Oce"

        document.write(fullname2)

        // const fullname3 = "Zam Zam"
        // fullname3 = "Oke Oce"

        // document.write(fullname3)

        var x = 10;
        if (true) {
            var x = 20;
            console.log("Nilai x di dalam blok:", x);
        }
        console.log("Nilai x di luar blok:", x);

        let y = 10;
        if (true) {
            let y = 20;
            console.log("Nilai x di dalam blok:", y);
        }
        console.log("Nilai x di luar blok:", y);

        let bulat = 25
        let desimal = 25.2

        document.writeln(bulat)
        document.writeln('<br>')
        document.writeln(desimal)
        document.writeln('<br>')
        document.writeln("Hasil Penjumlahan = ")
        document.writeln(desimal + bulat)

        let bulat1 = 25
        let string = 'a'

        document.writeln(bulat1/0)
        document.writeln('<br>')
        document.writeln(string/5)

        let bulat2 = 1237613761823618263871623n

        document.writeln(bulat2)

        let text = "arkatama"
        document.writeln(text)

        let admin = true
        let perbandingan = 15 > 9

        document.writeln(perbandingan)

        let admin2
        document.writeln(admin2)

        let admin3 = null
        document.writeln(admin3)

        let employee = Symbol('Joko')
        // document.writeln(employee)
        document.writeln(employee.description)

        let employee1 = {
            name: "John",
            age: 30,
            job: "Web Developer",
            isMarried: true
        }

        document.writeln('My name is ${employee1.name} and he is ${employee1.age} years ols')

        let value = false
        let string1 = String(value)
        alert(typeof value)

        let str = "123"
        let nbe = Number("123")

        alert(typeof nbr)

        alert(Boolean(0))
        alert(Boolean(1))

        let a = 3
        let b = 5

        console.log(a+b);
        console.log(a-b);
        console.log(a*b);
        console.log(a**b);
        console.log(a/b);
        console.log(a%b);

        console.log(a==b);
        console.log(a < b);
        console.log(a>b);
        console.log(a!=b);

        console.log(a&&b);
        console.log(a||b);
        console.log(!a);

        console.log(a&b);
        console.log(a|b);
        console.log(a^b);
        console.log(~a);
        
        console.log(a == b ? 'sama' : 'tidak sama');

        alert('Hello Selamat datang di Arkatama')

        let string3 = prompt("Apakah nada mau makan malam denganku?")
        alert('Jawaban anda' + string3)

        let string4 = confirm("Apakah kamu mau makan malam denganku?")
        string4 ? alert('Jawaban anda mau') : alert('jawaban anda tidak mau')

        if (string4) {
            alert('Jawaban anda mau')
        }

        if (string4) alert('Jawaban anda mau')
        else alert('Jawaban anda mau')

        let string5 = prompt("1 + 1 ?")

        if (string5 = 2)alert('Jawaban anda Betul')
        else if (string5 > 2)alert('Jawaban anda kelebihan')
        else if (string5 < 2)alert('Jawaban anda kurang')
        else alert('Jawaban anda Salah')

        let string6 = "blue"

        switch(string){
            case "red":
                alert('I Love Red!')
                break;

            case "blue":
                alert('I Love Blue!')
                break;

            default:
                alert('I dont know what color is!')
                break;
        }

        for (let i = 1; i < 5; i++){
            document.writeln(i)
            document.writeln("<br>")
        }

        let b2 = 1

        while (b < 5) {
            document.writeln(b2)
            document.writeln("<br>")
            b2++
        }

        let i2 = 1;

        document.writeln('Perulangan do While')
        document.writeln("<br>")

        do {
            document.writeln(i)
            document.writeln("<br>")
            i++
        } while (i<5);

        document.writeln('Perulangan for')
        document.writeln('<br>')

        for (let a2 = 1; a2 < 5; a2++) {
            if (a2 == 3){
                break
            }
            document.writeln(a2)
            document.writeln("<br>")
        }

        document.writeln('Perulangan for')
        document.writeln('<br>')

        for (let a3 = 1; a3 < 5; a3++) {
            if (a3 == 3) {
                break
            }
            document.writeln(a3)
            document.writeln("<br>")
        }
    </script>
</body>
</html>